Bug 499489 - GDM starts up new copies of Xorg every 10 minutes
Summary: GDM starts up new copies of Xorg every 10 minutes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 509657 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-06 20:50 UTC by Andrew McNabb
Modified: 2015-01-14 23:22 UTC (History)
11 users (show)

Fixed In Version: 2.26.1-12.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 506734 (view as bug list)
Environment:
Last Closed: 2009-07-19 10:34:56 UTC


Attachments (Terms of Use)
/var/log/gdm/:5-greeter.log (2.30 KB, text/plain)
2009-05-06 21:06 UTC, Andrew McNabb
no flags Details
Greeter log from the most recently started GDM. (869 bytes, text/plain)
2009-05-06 21:08 UTC, Andrew McNabb
no flags Details
Greeter log from the previous GDM. (1.24 KB, text/plain)
2009-05-06 21:09 UTC, Andrew McNabb
no flags Details

Description Andrew McNabb 2009-05-06 20:50:25 UTC
On Fedora 11, if GDM is left running without a user logging in, it gets into a weird state.  It appears that GDM quits but leaves the X server running.  When GDM respawns, it sets up a second X server on another virtual terminal, leaving the original X server with nothing but an empty background and a mouse cursor.  From the user's perspective, GDM just seems to disappear--the user never sees the new copy of Xorg.

This process continues.  Running "ps aux |grep Xorg" shows that each new copy of Xorg is started exactly 10 minutes after the earlier one:

root      2061  0.0  0.1 154128 15096 tty1     Ss+  11:42   0:01 /usr/bin/Xorg :0 -nr -verbose -auth /var/run/gdm/auth-for-gdm-PuhqKe/database -nolisten tcp vt1
root      2190  0.0  0.1 154128 15060 tty7     Ss+  11:52   0:01 /usr/bin/Xorg :1 -br -verbose -auth /var/run/gdm/auth-for-gdm-MSrFhB/database -nolisten tcp
root      2324  0.0  0.1 154644 15136 tty8     Ss+  12:02   0:01 /usr/bin/Xorg :2 -br -verbose -auth /var/run/gdm/auth-for-gdm-6Lydyf/database -nolisten tcp
root      2460  0.0  0.1 153884 15020 tty9     Ss+  12:12   0:01 /usr/bin/Xorg :3 -br -verbose -auth /var/run/gdm/auth-for-gdm-zaZq6a/database -nolisten tcp
root      2583  0.0  0.1 154140 15044 tty10    Ss+  12:22   0:01 /usr/bin/Xorg :4 -br -verbose -auth /var/run/gdm/auth-for-gdm-pL9Tgo/database -nolisten tcp
root      2714  0.0  0.1 154108 15092 tty11    Ss+  12:32   0:01 /usr/bin/Xorg :5 -br -verbose -auth /var/run/gdm/auth-for-gdm-MO5WQS/database -nolisten tcp

This problem makes it impossible to log in (because the chvt is set to the first copy of Xorg, now inactive).

Comment 1 Andrew McNabb 2009-05-06 21:06:49 UTC
Created attachment 342723 [details]
/var/log/gdm/:5-greeter.log

Greeter log from the most recently started GDM.

Comment 2 Andrew McNabb 2009-05-06 21:08:35 UTC
Created attachment 342724 [details]
Greeter log from the most recently started GDM.

Comment 3 Andrew McNabb 2009-05-06 21:09:46 UTC
Created attachment 342725 [details]
Greeter log from the previous GDM.

Comment 4 Ray Strode [halfline] 2009-05-06 21:52:01 UTC
Hi, this was fixed in gdm-2.26.1-2.fc11

*** This bug has been marked as a duplicate of bug 496234 ***

Comment 5 Andrew McNabb 2009-05-07 02:29:31 UTC
This must be a different problem.  This machine has gdm-2.26.1-7.fc11:

root@sage:~# rpm -q gdm
gdm-2.26.1-7.fc11.x86_64
root@sage:~# ps aux |grep Xorg |grep -v grep
root      2065  0.0  0.1 154716 15624 tty1     Ss+  16:11   0:01 /usr/bin/Xorg :0 -nr -verbose -auth /var/run/gdm/auth-for-gdm-GBM8MZ/database -nolisten tcp vt1
root      2186  0.0  0.1 158152 15368 tty7     Ss+  16:21   0:01 /usr/bin/Xorg :1 -br -verbose -auth /var/run/gdm/auth-for-gdm-JRPOA9/database -nolisten tcp
root      2310  0.0  0.1 154064 15404 tty8     Ss+  16:31   0:01 /usr/bin/Xorg :2 -br -verbose -auth /var/run/gdm/auth-for-gdm-yhWCMA/database -nolisten tcp
root      2441  0.0  0.1 154080 15384 tty9     Ss+  16:41   0:01 /usr/bin/Xorg :3 -br -verbose -auth /var/run/gdm/auth-for-gdm-bXZ1Lj/database -nolisten tcp
root      2571  0.0  0.1 154072 15360 tty10    Ss+  16:52   0:01 /usr/bin/Xorg :4 -br -verbose -auth /var/run/gdm/auth-for-gdm-KYVc5j/database -nolisten tcp
root      2720  0.0  0.1 153916 15324 tty11    Ss+  17:02   0:01 /usr/bin/Xorg :5 -br -verbose -auth /var/run/gdm/auth-for-gdm-60rFdC/database -nolisten tcp

Comment 6 Michael Young 2009-05-08 13:28:18 UTC
I am seeing this as well, and get tracebacks like the following in /var/log/messages (this is with gdm-2.26.1-7.fc11.i586)
******************* START **********************************
0x0013c416 in __kernel_vsyscall ()
#0  0x0013c416 in __kernel_vsyscall ()
#1  0x003c4943 in __waitpid_nocancel () from /lib/libc.so.6
#2  0x08066a49 in crashlogger_get_backtrace () at gdm-signal-handler.c:192
#3  gdm_signal_handler_backtrace () at gdm-signal-handler.c:219
#4  0x08066b41 in signal_handler (signo=-1074746404)
    at gdm-signal-handler.c:247
#5  <signal handler called>
#6  cancel_pending_query (conversation=<value optimized out>)
    at gdm-session-direct.c:846
#7  gdm_session_direct_handle_cancel_pending_query (
    conversation=<value optimized out>) at gdm-session-direct.c:966
#8  session_worker_message (conversation=<value optimized out>)
    at gdm-session-direct.c:1297
#9  0x0805a28e in session_message_handler (connection=0x8304ab0,
    message=0x82df4d8, user_data=0x8303948) at gdm-session-direct.c:1542
#10 0x00b3b923 in _dbus_object_tree_dispatch_and_unlock (tree=0x8304970,
    message=0x82df4d8) at dbus-object-tree.c:856
#11 0x00b2e9bc in dbus_connection_dispatch (connection=0x8304ab0)
    at dbus-connection.c:4447
#12 0x00c5b19d in message_queue_dispatch (source=0x8304fb8, callback=0,
    user_data=0x0) at dbus-gmain.c:101
#13 0x0055f1e8 in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1814
#14 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2367#15 0x005627f8 in g_main_context_iterate (context=0x82df630,
    block=<value optimized out>, dispatch=1, self=0x82dbfb8) at gmain.c:2448
#16 0x00562caf in IA__g_main_loop_run (loop=0x82e45a0) at gmain.c:2656
#17 0x0804d34f in main (argc=1, argv=0xbff0b374) at simple-slave-main.c:260

Thread 1 (process 18849):
#0  0x0013c416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x003c4943 in __waitpid_nocancel () from /lib/libc.so.6
No locals.
#2  0x08066a49 in crashlogger_get_backtrace () at gdm-signal-handler.c:192
        estatus = <value optimized out>
#3  gdm_signal_handler_backtrace () at gdm-signal-handler.c:219
st_mode = 33261,
__pad2 = 0,
st_blocks = 16, st_atim = {
tv_sec = 1241058112,
tv_nsec = 0},
__unused5 = 0}
#4  0x08066b41 in signal_handler (signo=-1074746404)
    at gdm-signal-handler.c:247


#5  <signal handler called>
No symbol table info available.
#6  cancel_pending_query (conversation=<value optimized out>)
    at gdm-session-direct.c:846
        reply = 0x83067d8
#7  gdm_session_direct_handle_cancel_pending_query (
    conversation=<value optimized out>) at gdm-session-direct.c:966
        reply = <value optimized out>
#8  session_worker_message (conversation=<value optimized out>)
    at gdm-session-direct.c:1297
        conversation = 0x8303948
        session = <value optimized out>
#9  0x0805a28e in session_message_handler (connection=0x8304ab0,
    message=0x82df4d8, user_data=0x8303948) at gdm-session-direct.c:1542


        dbus_interface = <value optimized out>
        dbus_member = <value optimized out>
#10 0x00b3b923 in _dbus_object_tree_dispatch_and_unlock (tree=0x8304970,
    message=0x82df4d8) at dbus-object-tree.c:856
        user_data = <value optimized out>
        next = 0x0
        path = 0x83051c8

        list = 0x83062b0
        link = <value optimized out>
        result = <value optimized out>
        subtree = <value optimized out>
#11 0x00b2e9bc in dbus_connection_dispatch (connection=0x8304ab0)
    at dbus-connection.c:4447
        message = <value optimized out>
        link = <value optimized out>
        filter_list_copy = 0x0
        message_link = 0x8306250
        result = <value optimized out>
        status = <value optimized out>

#12 0x00c5b19d in message_queue_dispatch (source=0x8304fb8, callback=0,
    user_data=0x0) at dbus-gmain.c:101
        connection = 0x8304ab0
#13 0x0055f1e8 in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1814
        dispatch = 0xc5b170 <message_queue_dispatch>
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
next = 0x0}
        source = 0x8304fb8
        current = 0x82e54b0

#14 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2367No locals.
#15 0x005627f8 in g_main_context_iterate (context=0x82df630,
    block=<value optimized out>, dispatch=1, self=0x82dbfb8) at gmain.c:2448



        nfds = <value optimized out>
        allocated_nfds = <value optimized out>
        fds = <value optimized out>

#16 0x00562caf in IA__g_main_loop_run (loop=0x82e45a0) at gmain.c:2656
        self = 0x82dbfb8

#17 0x0804d34f in main (argc=1, argv=0xbff0b374) at simple-slave-main.c:260
        main_loop = 0x82e45a0
        context = <value optimized out>
        connection = <value optimized out>
        slave = <value optimized out>



        signal_handler = 0x82e0a50
short_name = 0 '\0',
arg = G_OPTION_ARG_NONE, arg_data = 0x8075778,
,
long_name = 0x8068330 "display-id",
arg = G_OPTION_ARG_STRING,
description = 0x806833b "Display ID",
, {
short_name = 0 '\0',
arg = G_OPTION_ARG_NONE, arg_data = 0x8075774,
,
short_name = 0 '\0',
arg = G_OPTION_ARG_NONE, arg_data = 0x0,
arg_description = 0x0}}
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
******************* END **********************************

Comment 7 Bug Zapper 2009-06-09 15:16:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Andrew McNabb 2009-06-09 15:40:27 UTC
I've tested this with Fedora 11 final (with gdm-2.26.1-10.fc11.x86_64), and the problem is still present.  Is there any more information I can provide?

Comment 9 Michael Young 2009-06-09 16:28:10 UTC
I checked the code corresponding to this crash. Below is gdm-session-direct.c lines 841-846 (exception is at 845)
        reply = dbus_message_new_error (conversation->message_pending_reply,
                                        GDM_SESSION_DBUS_ERROR_CANCEL,
                                        "Operation cancelled");
        conversation = NULL;
        dbus_connection_send (conversation->worker_connection, reply, NULL);
        dbus_connection_flush (conversation->worker_connection);

and unless I am missing something, the reason for the crash is obvious, as conversation is set to NULL and then the code tries to use it as a structure. I would guess that conversation = NULL; is either unnecessary, or is a typo for conversation->something = NULL;

Comment 10 Àlex Magaz Graça 2009-06-10 11:39:20 UTC
I've tried commenting the "conversation = NULL" line and GDM no longer crashes. So, the remaining question is whether it was ment to set some structure member or not.

Comment 11 Michael Young 2009-06-10 11:50:00 UTC
Same here. gdm stops crashing every 10 minutes without that line, but it is still not clear to me what that line was attempting to do.

Comment 12 Dave Shield 2009-06-11 15:02:16 UTC
Checking the source RPM, this particular line seems to have been introduced by the (second half of) the patch "gdm-2.26.1-multistack.patch"

   * Mon Apr 13 2009 Ray Strode <rstrode@redhat.com> - 1:2.26.0-8
   - Add less boring multistack patch for testing


Looking at the GDM source tree, this code is not in the main development line, but is present in the branch "multi-stack".  In particular, it was introduced as part of the commit
    http://git.gnome.org./cgit/gdm/commit/?h=multi-stack&id=736b134ce488097d962afc2e322288557ce5fda4

    Propagate service name to more layers
    This is more prep work to get multiple concurrent PAM stacks going. 

(applied midway through 2009-04-17 - clearly a busy day!)

Hopefully this context may help in confirming whether it's safe to simply delete this line of code.

Dave

Comment 13 stef 2009-06-16 11:49:59 UTC
I can see that too here with FC11 final.

It seems to happen if you leave the computer untouched during 10 minutes, GDM crashes or spawn a new process at the moment the screen goes dark for energy saving.

a pstree -halup shows this :

  ├─Xorg,6807 :0 -br -verbose -auth /var/run/gdm/auth-for-gdm-0OZ94D/database -nolisten tcp
  ├─Xorg,6999 :1 -br -verbose -auth /var/run/gdm/auth-for-gdm-op9V8a/database -nolisten tcp
  ├─Xorg,7218 :2 -br -verbose -auth /var/run/gdm/auth-for-gdm-KlpvpI/database -nolisten tcp
  ├─Xorg,7412 :3 -br -verbose -auth /var/run/gdm/auth-for-gdm-tnqt49/database -nolisten tcp
  ├─Xorg,7616 :4 -br -verbose -auth /var/run/gdm/auth-for-gdm-BOYIWn/database -nolisten tcp
  ├─Xorg,7815 :5 -br -verbose -auth /var/run/gdm/auth-for-gdm-cWkp6u/database -nolisten tcp
  ├─dbus-daemon,6872,gdm --fork --print-pid 5 --print-address 7 --session
  ├─dbus-daemon,7153,gdm --fork --print-pid 5 --print-address 7 --session
  ├─dbus-daemon,7285,gdm --fork --print-pid 5 --print-address 7 --session
  ├─dbus-daemon,7481,gdm --fork --print-pid 5 --print-address 7 --session
  ├─dbus-daemon,7680,gdm --fork --print-pid 5 --print-address 7 --session
  ├─dbus-daemon,7879,gdm --fork --print-pid 5 --print-address 7 --session
  ├─dbus-daemon,1176,dbus --system
  ├─dbus-launch,6862,gdm --exit-with-session
  ├─dbus-launch,7152,gdm --exit-with-session
  ├─dbus-launch,7280,gdm --exit-with-session
  ├─dbus-launch,7480,gdm --exit-with-session
  ├─dbus-launch,7679,gdm --exit-with-session
  ├─dbus-launch,7878,gdm --exit-with-session
  ├─devkit-daemon,1796
  ├─devkit-disks-da,3915
  │   └─devkit-disks-da,3916
  ├─devkit-power-da,1794
  ├─gconfd-2,6898,gdm
  ├─gconfd-2,7157,gdm
  ├─gconfd-2,7305,gdm
  ├─gconfd-2,7503,gdm
  ├─gconfd-2,7698,gdm
  ├─gconfd-2,7901,gdm
  ├─gnome-session,6876,gdm --autostart=/usr/share/gdm/autostart/LoginWindow/
  │   ├─gnome-power-man,6969
  │   ├─metacity,6967
  │   └─{gnome-session},6961
  ├─gnome-session,7154,gdm --autostart=/usr/share/gdm/autostart/LoginWindow/
  │   ├─gnome-power-man,7167
  │   ├─metacity,7165
  │   └─{gnome-session},7159
  ├─gnome-session,7286,gdm --autostart=/usr/share/gdm/autostart/LoginWindow/
  │   ├─gnome-power-man,7385
  │   ├─metacity,7383
  │   └─{gnome-session},7377
  ├─gnome-session,7483,gdm --autostart=/usr/share/gdm/autostart/LoginWindow/
  │   ├─gnome-power-man,7586
  │   ├─metacity,7584
  │   └─{gnome-session},7578
  ├─gnome-session,7681,gdm --autostart=/usr/share/gdm/autostart/LoginWindow/
  │   ├─gnome-power-man,7785
  │   ├─metacity,7783
  │   └─{gnome-session},7777
  ├─gnome-session,7880,gdm --autostart=/usr/share/gdm/autostart/LoginWindow/
  │   ├─gnome-power-man,7984
  │   ├─metacity,7982
  │   └─{gnome-session},7976
  ├─gnome-settings-,6962,gdm --gconf-prefix=/apps/gdm/simple-greeter/settings-manager-plugins
  │   └─{gnome-settings-},6964
  ├─gnome-settings-,7160,gdm --gconf-prefix=/apps/gdm/simple-greeter/settings-manager-plugins
  │   └─{gnome-settings-},7162
  ├─gnome-settings-,7378,gdm --gconf-prefix=/apps/gdm/simple-greeter/settings-manager-plugins
  │   └─{gnome-settings-},7380
  ├─gnome-settings-,7579,gdm --gconf-prefix=/apps/gdm/simple-greeter/settings-manager-plugins
  │   └─{gnome-settings-},7581
  ├─gnome-settings-,7778,gdm --gconf-prefix=/apps/gdm/simple-greeter/settings-manager-plugins
  │   └─{gnome-settings-},7780
  ├─gnome-settings-,7977,gdm --gconf-prefix=/apps/gdm/simple-greeter/settings-manager-plugins
  │   └─{gnome-settings-},7979
  ├─gvfsd,6966,gdm
  ├─gvfsd,7164,gdm
  ├─gvfsd,7382,gdm
  ├─gvfsd,7583,gdm
  ├─gvfsd,7782,gdm
  ├─gvfsd,7981,gdm


I think this needs some attention fast

Comment 14 stef 2009-06-16 12:04:19 UTC
the 'gdm-restart' command is faulty too :

# gdm-restart 
/var/run/gdm.pid doesn't exist, perhaps GDM isn't running

Comment 15 Ray Strode [halfline] 2009-06-16 12:58:39 UTC
The patch looks right to me.  I must have introduced it when rewiring gdm to work in terms of multiple conversations instead of just one conversation per session.

I'm building it now, will push an update shortly to testing.

Comment 16 Ray Strode [halfline] 2009-06-16 13:04:04 UTC
build finished, marking MODIFIED

Comment 17 Fedora Update System 2009-06-16 13:09:12 UTC
gdm-2.26.1-12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gdm-2.26.1-12.fc11

Comment 18 stef 2009-06-16 14:48:46 UTC
(In reply to comment #17)
> gdm-2.26.1-12.fc11 has been submitted as an update for Fedora 11.
> http://admin.fedoraproject.org/updates/gdm-2.26.1-12.fc11  

I made log-in/out tests, reboots, let it sit for more than one hour and did not reproduce the faulty behavior.

Except the fact that I didn't test the fingerprint auth and such it's OK for me.

Comment 19 Àlex Magaz Graça 2009-06-17 12:22:04 UTC
It works for me, but not at all. GDM no longer crashes after 10 minutes of inactivity, but It does when I try to log in after every 10 minutes. This is the traceback I get:

Jun 17 14:05:32 PL-REC019 gdm-binary[21771]: nss_ldap: could not search LDAP server - Server is unavailable
Jun 17 14:05:32 PL-REC019 gdm-simple-slave[23053]: WARNING: Failed to add user authorization: Message did not receive a reply (timeout by message bus)
Jun 17 14:05:32 PL-REC019 gdm[23230]: ******************* START **********************************
Jun 17 14:05:33 PL-REC019 gdm[23230]: [Thread debugging using libthread_db enabled]
Jun 17 14:05:33 PL-REC019 gdm[23230]: 0x008cd424 in __kernel_vsyscall ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: #0  0x008cd424 in __kernel_vsyscall ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: #1  0x0045ed43 in __waitpid_nocancel () from /lib/libc.so.6
Jun 17 14:05:33 PL-REC019 gdm[23230]: #2  0x080666a1 in gdm_signal_handler_backtrace ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: #3  0x08066791 in signal_handler ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: #4  <signal handler called>
Jun 17 14:05:33 PL-REC019 gdm[23230]: #5  0x008cd424 in __kernel_vsyscall ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: #6  0x003ec7c1 in raise () from /lib/libc.so.6
Jun 17 14:05:33 PL-REC019 gdm[23230]: #7  0x003ee092 in abort () from /lib/libc.so.6
Jun 17 14:05:33 PL-REC019 gdm[23230]: #8  0x007546fd in g_assertion_message () from /lib/libglib-2.0.so.0
Jun 17 14:05:33 PL-REC019 gdm[23230]: #9  0x00754cbd in g_assertion_message_expr () from /lib/libglib-2.0.so.0
Jun 17 14:05:33 PL-REC019 gdm[23230]: #10 0x08061f84 in start_session_timeout ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: #11 0x0072b341 in ?? () from /lib/libglib-2.0.so.0
Jun 17 14:05:33 PL-REC019 gdm[23230]: #12 0x0072d1e8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Jun 17 14:05:33 PL-REC019 gdm[23230]: #13 0x007307f8 in ?? () from /lib/libglib-2.0.so.0
Jun 17 14:05:33 PL-REC019 gdm[23230]: #14 0x00730caf in g_main_loop_run () from /lib/libglib-2.0.so.0
Jun 17 14:05:33 PL-REC019 gdm[23230]: #15 0x0804d2cf in main ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: 
Jun 17 14:05:33 PL-REC019 gdm[23230]: Thread 1 (Thread 0xb8055720 (LWP 23053)):
Jun 17 14:05:33 PL-REC019 gdm[23230]: #0  0x008cd424 in __kernel_vsyscall ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #1  0x0045ed43 in __waitpid_nocancel () from /lib/libc.so.6
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #2  0x080666a1 in gdm_signal_handler_backtrace ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #3  0x08066791 in signal_handler ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #4  <signal handler called>
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #5  0x008cd424 in __kernel_vsyscall ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #6  0x003ec7c1 in raise () from /lib/libc.so.6
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #7  0x003ee092 in abort () from /lib/libc.so.6
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #8  0x007546fd in g_assertion_message () from /lib/libglib-2.0.so.0
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #9  0x00754cbd in g_assertion_message_expr () from /lib/libglib-2.0.so.0
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #10 0x08061f84 in start_session_timeout ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #11 0x0072b341 in ?? () from /lib/libglib-2.0.so.0
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #12 0x0072d1e8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #13 0x007307f8 in ?? () from /lib/libglib-2.0.so.0
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #14 0x00730caf in g_main_loop_run () from /lib/libglib-2.0.so.0
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: #15 0x0804d2cf in main ()
Jun 17 14:05:33 PL-REC019 gdm[23230]: No symbol table info available.
Jun 17 14:05:33 PL-REC019 gdm[23230]: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Jun 17 14:05:33 PL-REC019 gdm[23230]: ******************* END **********************************

Notice the LDAP error, it's always before the traceback.

Comment 20 Àlex Magaz Graça 2009-06-17 12:33:42 UTC
Sorry sorry! The comment I've just posted does not correspond to the GDM package with the bug fixed. I'll try it tomorrow.

Comment 21 Fedora Update System 2009-06-18 11:55:46 UTC
gdm-2.26.1-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6657

Comment 22 Àlex Magaz Graça 2009-06-18 12:03:36 UTC
Ok, I've tried now with the new version. As I said in comment #19, it not longer crashes after 10 minutes but it does under other circumstances, I'll explain.

The first time I log in all goes well, it never crashes. But if I wait for 5 minutes and try again, it always crashes. It seems like the cause of the problem is that the OpenLDAP server closes inactive connections after 5 minutes (idletimeout option in sldapd.conf). GDM opens a connection the firs time a user logs in and then keeps it open.

As it starts a new copy of the Xorg every time, I post it here, but if you want I can open a new bug report.

This is the traceback:

Jun 18 13:38:57 PL-REC019 gdm-binary[1453]: nss_ldap: could not search LDAP server - Server is unavailable
Jun 18 13:38:57 PL-REC019 gdm-simple-slave[3595]: WARNING: Failed to add user authorization: Message did not receive a reply (timeout by message bus)
Jun 18 13:38:57 PL-REC019 gdm[3746]: ******************* START **********************************
Jun 18 13:38:59 PL-REC019 gdm[3746]: [Thread debugging using libthread_db enabled]
Jun 18 13:38:59 PL-REC019 gdm[3746]: 0x00c7b424 in __kernel_vsyscall ()
Jun 18 13:38:59 PL-REC019 gdm[3746]: #0  0x00c7b424 in __kernel_vsyscall ()
Jun 18 13:38:59 PL-REC019 gdm[3746]: #1  0x0045ed43 in __waitpid_nocancel () from /lib/libc.so.6
Jun 18 13:38:59 PL-REC019 gdm[3746]: #2  0x08066869 in crashlogger_get_backtrace () at gdm-signal-handler.c:192
Jun 18 13:38:59 PL-REC019 gdm[3746]: #3  gdm_signal_handler_backtrace () at gdm-signal-handler.c:219
Jun 18 13:38:59 PL-REC019 gdm[3746]: #4  0x08066961 in signal_handler (signo=-1077559396)
Jun 18 13:38:59 PL-REC019 gdm[3746]:     at gdm-signal-handler.c:247
Jun 18 13:38:59 PL-REC019 gdm[3746]: #5  <signal handler called>
Jun 18 13:38:59 PL-REC019 gdm[3746]: #6  0x00c7b424 in __kernel_vsyscall ()
Jun 18 13:38:59 PL-REC019 gdm[3746]: #7  0x003ec7c1 in raise () from /lib/libc.so.6
Jun 18 13:38:59 PL-REC019 gdm[3746]: #8  0x003ee092 in abort () from /lib/libc.so.6
Jun 18 13:38:59 PL-REC019 gdm[3746]: #9  0x007546fd in g_assertion_message () from /lib/libglib-2.0.so.0
Jun 18 13:38:59 PL-REC019 gdm[3746]: #10 0x00754cbd in g_assertion_message_expr () from /lib/libglib-2.0.so.0
Jun 18 13:38:59 PL-REC019 gdm[3746]: #11 0x08062124 in start_session_timeout (slave=0x9f32010)
Jun 18 13:38:59 PL-REC019 gdm[3746]:     at gdm-simple-slave.c:393
Jun 18 13:38:59 PL-REC019 gdm[3746]: #12 0x0072b341 in ?? () from /lib/libglib-2.0.so.0
Jun 18 13:38:59 PL-REC019 gdm[3746]: #13 0x0072d1e8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Jun 18 13:38:59 PL-REC019 gdm[3746]: #14 0x007307f8 in ?? () from /lib/libglib-2.0.so.0
Jun 18 13:38:59 PL-REC019 gdm[3746]: #15 0x00730caf in g_main_loop_run () from /lib/libglib-2.0.so.0
Jun 18 13:38:59 PL-REC019 gdm[3746]: #16 0x0804d34f in main (argc=1, argv=0xbfc5c7a4) at simple-slave-main.c:260
Jun 18 13:38:59 PL-REC019 gdm[3746]: 
Jun 18 13:38:59 PL-REC019 gdm[3746]: Thread 1 (Thread 0xb7f28720 (LWP 3595)):
Jun 18 13:38:59 PL-REC019 gdm[3746]: #0  0x00c7b424 in __kernel_vsyscall ()
Jun 18 13:38:59 PL-REC019 gdm[3746]: No symbol table info available.
Jun 18 13:38:59 PL-REC019 gdm[3746]: #1  0x0045ed43 in __waitpid_nocancel () from /lib/libc.so.6
Jun 18 13:38:59 PL-REC019 gdm[3746]: No symbol table info available.
Jun 18 13:38:59 PL-REC019 gdm[3746]: #2  0x08066869 in crashlogger_get_backtrace () at gdm-signal-handler.c:192
Jun 18 13:38:59 PL-REC019 gdm[3746]:         estatus = <value optimized out>
Jun 18 13:38:59 PL-REC019 gdm[3746]: #3  gdm_signal_handler_backtrace () at gdm-signal-handler.c:219
Jun 18 13:38:59 PL-REC019 gdm[3746]: st_mode = 33261, 
Jun 18 13:38:59 PL-REC019 gdm[3746]: __pad2 = 0, 
Jun 18 13:38:59 PL-REC019 gdm[3746]: st_blocks = 16, st_atim = {
Jun 18 13:38:59 PL-REC019 gdm[3746]: tv_nsec = 212571561}, st_mtim = {
Jun 18 13:38:59 PL-REC019 gdm[3746]: tv_sec = 1245310188, 
Jun 18 13:38:59 PL-REC019 gdm[3746]: __unused5 = 0}
Jun 18 13:38:59 PL-REC019 gdm[3746]: #4  0x08066961 in signal_handler (signo=-1077559396)
Jun 18 13:38:59 PL-REC019 gdm[3746]:     at gdm-signal-handler.c:247
Jun 18 13:38:59 PL-REC019 gdm[3746]: 
Jun 18 13:38:59 PL-REC019 gdm[3746]: 
Jun 18 13:38:59 PL-REC019 gdm[3746]: #5  <signal handler called>
Jun 18 13:38:59 PL-REC019 gdm[3746]: No symbol table info available.
Jun 18 13:38:59 PL-REC019 gdm[3746]: #6  0x00c7b424 in __kernel_vsyscall ()
Jun 18 13:38:59 PL-REC019 gdm[3746]: No symbol table info available.
Jun 18 13:38:59 PL-REC019 gdm[3746]: #7  0x003ec7c1 in raise () from /lib/libc.so.6
Jun 18 13:38:59 PL-REC019 gdm[3746]: No symbol table info available.
Jun 18 13:38:59 PL-REC019 gdm[3746]: #8  0x003ee092 in abort () from /lib/libc.so.6
Jun 18 13:38:59 PL-REC019 gdm[3746]: No symbol table info available.
Jun 18 13:38:59 PL-REC019 gdm[3746]: #9  0x007546fd in g_assertion_message () from /lib/libglib-2.0.so.0
Jun 18 13:38:59 PL-REC019 gdm[3746]: No symbol table info available.
Jun 18 13:38:59 PL-REC019 gdm[3746]: #10 0x00754cbd in g_assertion_message_expr () from /lib/libglib-2.0.so.0
Jun 18 13:38:59 PL-REC019 gdm[3746]: No symbol table info available.
Jun 18 13:38:59 PL-REC019 gdm[3746]: #11 0x08062124 in start_session_timeout (slave=0x9f32010)
Jun 18 13:38:59 PL-REC019 gdm[3746]:     at gdm-simple-slave.c:393
Jun 18 13:38:59 PL-REC019 gdm[3746]:         auth_file = 0x0
Jun 18 13:38:59 PL-REC019 gdm[3746]:         migrated = <value optimized out>
Jun 18 13:38:59 PL-REC019 gdm[3746]: 
Jun 18 13:38:59 PL-REC019 gdm[3746]: #12 0x0072b341 in ?? () from /lib/libglib-2.0.so.0
Jun 18 13:38:59 PL-REC019 gdm[3746]: No symbol table info available.
Jun 18 13:38:59 PL-REC019 gdm[3746]: #13 0x0072d1e8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Jun 18 13:38:59 PL-REC019 gdm[3746]: No symbol table info available.
Jun 18 13:38:59 PL-REC019 gdm[3746]: #14 0x007307f8 in ?? () from /lib/libglib-2.0.so.0
Jun 18 13:38:59 PL-REC019 gdm[3746]: No symbol table info available.
Jun 18 13:38:59 PL-REC019 gdm[3746]: #15 0x00730caf in g_main_loop_run () from /lib/libglib-2.0.so.0
Jun 18 13:38:59 PL-REC019 gdm[3746]: No symbol table info available.
Jun 18 13:38:59 PL-REC019 gdm[3746]: #16 0x0804d34f in main (argc=1, argv=0xbfc5c7a4) at simple-slave-main.c:260
Jun 18 13:38:59 PL-REC019 gdm[3746]:         main_loop = 0x9f2dd68
Jun 18 13:38:59 PL-REC019 gdm[3746]:         context = <value optimized out>
Jun 18 13:38:59 PL-REC019 gdm[3746]:         connection = <value optimized out>
Jun 18 13:38:59 PL-REC019 gdm[3746]:         slave = <value optimized out>
Jun 18 13:38:59 PL-REC019 gdm[3746]: 
Jun 18 13:38:59 PL-REC019 gdm[3746]: 
Jun 18 13:38:59 PL-REC019 gdm[3746]: 
Jun 18 13:38:59 PL-REC019 gdm[3746]:         signal_handler = 0x9f2b850
Jun 18 13:38:59 PL-REC019 gdm[3746]: short_name = 0 '\0', 
Jun 18 13:38:59 PL-REC019 gdm[3746]: arg = G_OPTION_ARG_NONE, arg_data = 0x8075778, 
Jun 18 13:38:59 PL-REC019 gdm[3746]: , 
Jun 18 13:38:59 PL-REC019 gdm[3746]: long_name = 0x8068130 "display-id", 
Jun 18 13:38:59 PL-REC019 gdm[3746]: arg = G_OPTION_ARG_STRING, 
Jun 18 13:38:59 PL-REC019 gdm[3746]: description = 0x806813b "Display ID", 
Jun 18 13:38:59 PL-REC019 gdm[3746]: , {
Jun 18 13:38:59 PL-REC019 gdm[3746]: short_name = 0 '\0', 
Jun 18 13:38:59 PL-REC019 gdm[3746]: arg = G_OPTION_ARG_NONE, arg_data = 0x8075774, 
Jun 18 13:38:59 PL-REC019 gdm[3746]: , 
Jun 18 13:38:59 PL-REC019 gdm[3746]: short_name = 0 '\0', 
Jun 18 13:38:59 PL-REC019 gdm[3746]: arg = G_OPTION_ARG_NONE, arg_data = 0x0, 
Jun 18 13:38:59 PL-REC019 gdm[3746]: arg_description = 0x0}}
Jun 18 13:38:59 PL-REC019 gdm[3746]: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Jun 18 13:38:59 PL-REC019 gdm[3746]: ******************* END **********************************

Comment 23 Ray Strode [halfline] 2009-06-18 14:27:42 UTC
Hi Alex,

I've cloned this report as bug 506734 to track the second crash.

Comment 24 stef 2009-06-26 08:38:43 UTC
Is there a date for when this update will be pushed into the official 'updates' repository ?

I'm running on the test package and I'm happy with it, but I'd like to have something more official.

Comment 25 Ray Strode [halfline] 2009-06-26 15:39:40 UTC
Hi Stef,

you're the first confirmation I've got that it's solved the issue :-)

I would appreciate some feedback from Andrew, but failing that in the next couple of days we can push it to final.

Comment 26 Michael Young 2009-06-26 16:00:06 UTC
I didn't realize you wanted further confirmation since a couple of us have been testing the idea behind the patch for a couple of weeks. But to make things explicit, gdm-2.26.1-12.fc11.i586 has been on one of my servers since 16th and I haven't noticed any re-occurrence.

Comment 27 Andrew McNabb 2009-06-26 17:21:34 UTC
Ray, it seems to be working for me, too.

Comment 28 John Place 2009-07-02 19:51:38 UTC
I have 5 machines (one is a laptop) that would have the problem without fail every morning, the package gdm-2.26.1-12.fc11.i586 was installed on 6/21. I have not seen the problem since...

Thanks
John

Comment 29 David Highley 2009-07-06 14:46:23 UTC
*** Bug 509657 has been marked as a duplicate of this bug. ***

Comment 30 David Highley 2009-07-07 15:47:18 UTC
Install the patch and it works for me.

Comment 31 Jack Perdue 2009-07-08 18:14:18 UTC
gdm-2.26.1-12.fc11.i586 is a vast improvement here

Comment 32 stef 2009-07-09 09:30:18 UTC
So, any word for an official update ?

Comment 33 Bryan Schneiders 2009-07-09 22:23:29 UTC
Do testers of this update need to leave comments here?
https://admin.fedoraproject.org/updates/F11/FEDORA-2009-6657

gdm-2.26.1-12.fc11 is a necessity here.  We have to install it on all of our F11 machines or they all get the 10 minute GDM crash.  We've been running it without issues for about 2 weeks on multiple systems.

I would like to see this fix go into stable.

Comment 34 David Highley 2009-07-13 14:51:39 UTC
We have been using the test version which is much better. After about a week we ran into another issue where we did not get the log in after doing a lock display, switch user, exit user, and then could not get back to the first user, we had done this several times without any issues. Poked around and could not find the block so we restarted the system and it came up without a log in greeter. Finally logged in via another system and did an init 3 followed by an init 5 which fixed the issue. Fedora 11 fully patched, rpmfussion kmod-nvidia driver on a Nvidia GTX 285 graphics card. Found the following in the messages file, but it is 12 hours before we were not able to get the log in prompt:

Jul 12 08:49:45 douglas gnome-keyring-daemon[23706]: Couldn't unlock login keyring with provided password
Jul 12 08:49:45 douglas gnome-keyring-daemon[23706]: Failed to unlock login on startup
Jul 12 08:49:46 douglas pulseaudio[24005]: pid.c: Daemon already running.
Jul 12 08:49:46 douglas pulseaudio[24018]: pid.c: Daemon already running.
Jul 12 09:06:11 douglas acpid: client 23558[0:0] has disconnected
Jul 12 09:06:11 douglas acpid: client connected from 24798[0:0]
Jul 12 09:06:11 douglas acpid: 1 client rule loaded
Jul 12 09:06:23 douglas gnome-keyring-daemon[25054]: Couldn't unlock login keyring with provided password
Jul 12 09:06:23 douglas gnome-keyring-daemon[25054]: Failed to unlock login on startup
Jul 12 09:06:24 douglas acpid: client 24798[0:0] has disconnected
Jul 12 09:06:24 douglas acpid: client connected from 16377[0:0]
Jul 12 09:06:24 douglas acpid: 1 client rule loaded
Jul 12 09:06:27 douglas gdm[25217]: ******************* START **********************************
Jul 12 09:06:27 douglas gdm[25217]: [Thread debugging using libthread_db enabled]
Jul 12 09:06:27 douglas gdm[25217]: [New Thread 0x7fa17fbb2910 (LWP 25028)]
Jul 12 09:06:27 douglas gdm[25217]: 0x0000003f1f40e9dd in waitpid () from /lib64/libpthread.so.0
Jul 12 09:06:27 douglas gdm[25217]: #0  0x0000003f1f40e9dd in waitpid () from /lib64/libpthread.so.0
Jul 12 09:06:27 douglas gdm[25217]: #1  0x000000000042ec6b in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: #2  0x000000000042ed17 in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: #3  <signal handler called>
Jul 12 09:06:27 douglas gdm[25217]: #4  0x0000003f1e8332f5 in raise () from /lib64/libc.so.6
Jul 12 09:06:27 douglas gdm[25217]: #5  0x0000003f1e834b20 in abort () from /lib64/libc.so.6
Jul 12 09:06:27 douglas gdm[25217]: #6  0x0000003f1e87005d in __libc_message () from /lib64/libc.so.6
Jul 12 09:06:27 douglas gdm[25217]: #7  0x0000003f1e875a26 in malloc_printerr () from /lib64/libc.so.6
Jul 12 09:06:27 douglas gdm[25217]: #8  0x0000003f21c0b83e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #9  0x0000003f21c20b83 in ?? () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #10 0x0000003f21c21f49 in g_signal_emit_valist ()
Jul 12 09:06:27 douglas gdm[25217]:    from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #11 0x0000003f21c22493 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #12 0x0000003f21c0f7b9 in ?? () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #13 0x0000003f21c1110f in g_object_notify () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #14 0x000000000041d26b in cairo_move_to ()
Jul 12 09:06:27 douglas gdm[25217]: #15 0x000000000041d790 in cairo_move_to ()
Jul 12 09:06:27 douglas gdm[25217]: #16 0x0000003f21c0b83e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #17 0x0000003f21c20b83 in ?? () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #18 0x0000003f21c21f49 in g_signal_emit_valist ()
Jul 12 09:06:27 douglas gdm[25217]:    from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #19 0x0000003f21c22493 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #20 0x0000000000419d25 in cairo_move_to ()
Jul 12 09:06:27 douglas gdm[25217]: #21 0x00000037d02105de in dbus_connection_dispatch ()
Jul 12 09:06:27 douglas gdm[25217]:    from /lib64/libdbus-1.so.3
Jul 12 09:06:27 douglas gdm[25217]: #22 0x00000037d06098d5 in ?? () from /usr/lib64/libdbus-glib-1.so.2
Jul 12 09:06:27 douglas gdm[25217]: #23 0x0000003f21037afe in g_main_context_dispatch ()
Jul 12 09:06:27 douglas gdm[25217]:    from /lib64/libglib-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #24 0x0000003f2103b1d8 in ?? () from /lib64/libglib-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #25 0x0000003f2103b635 in g_main_loop_run () from /lib64/libglib-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #26 0x0000003cf61279c7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: #27 0x00000000004112d0 in cairo_move_to ()
Jul 12 09:06:27 douglas gdm[25217]: #28 0x0000003f1e81ea2d in __libc_start_main () from /lib64/libc.so.6
Jul 12 09:06:27 douglas gdm[25217]: #29 0x0000000000410eb9 in cairo_move_to ()
Jul 12 09:06:27 douglas gdm[25217]: #30 0x00007ffff11bec58 in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: #31 0x000000000000001c in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: #32 0x0000000000000001 in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: #33 0x00007ffff11bfc3b in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: #34 0x0000000000000000 in ?? ()
Jul 12 09:06:27 douglas gdm[25217]:
Jul 12 09:06:27 douglas gdm[25217]: Thread 2 (Thread 0x7fa17fbb2910 (LWP 25028)):
Jul 12 09:06:27 douglas gdm[25217]: #0  0x0000003f1f40b57d in pthread_cond_timedwait@@GLIBC_2.3.2 ()
Jul 12 09:06:27 douglas gdm[25217]:    from /lib64/libpthread.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #1  0x0000003f23c02382 in pthread_attr_setdetachstate ()
Jul 12 09:06:27 douglas gdm[25217]:    from /lib64/libgthread-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #2  0x0000003f2101419f in ?? () from /lib64/libglib-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #3  0x0000003f210142af in g_async_queue_timed_pop ()
Jul 12 09:06:27 douglas gdm[25217]:    from /lib64/libglib-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #4  0x0000003f21061e20 in ?? () from /lib64/libglib-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #5  0x0000003f210608b4 in ?? () from /lib64/libglib-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #6  0x0000003f1f40686a in start_thread () from /lib64/libpthread.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #7  0x0000003f1e8de25d in clone () from /lib64/libc.so.6
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #8  0x0000000000000000 in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]:
Jul 12 09:06:27 douglas gdm[25217]: Thread 1 (Thread 0x7fa186111790 (LWP 25027)):
Jul 12 09:06:27 douglas gdm[25217]: #0  0x0000003f1f40e9dd in waitpid () from /lib64/libpthread.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #1  0x000000000042ec6b in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #2  0x000000000042ed17 in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #3  <signal handler called>
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #4  0x0000003f1e8332f5 in raise () from /lib64/libc.so.6
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #5  0x0000003f1e834b20 in abort () from /lib64/libc.so.6
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #6  0x0000003f1e87005d in __libc_message () from /lib64/libc.so.6
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #7  0x0000003f1e875a26 in malloc_printerr () from /lib64/libc.so.6
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #8  0x0000003f21c0b83e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #9  0x0000003f21c20b83 in ?? () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #10 0x0000003f21c21f49 in g_signal_emit_valist ()
Jul 12 09:06:27 douglas gdm[25217]:    from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #11 0x0000003f21c22493 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #12 0x0000003f21c0f7b9 in ?? () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #13 0x0000003f21c1110f in g_object_notify () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #14 0x000000000041d26b in cairo_move_to ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #15 0x000000000041d790 in cairo_move_to ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #16 0x0000003f21c0b83e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #17 0x0000003f21c20b83 in ?? () from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #18 0x0000003f21c21f49 in g_signal_emit_valist ()
Jul 12 09:06:27 douglas gdm[25217]:    from /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #19 0x0000003f21c22493 in g_signal_emit () f
rom /lib64/libgobject-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #20 0x0000000000419d25 in cairo_move_to ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #21 0x00000037d02105de in dbus_connection_dispatch ()
Jul 12 09:06:27 douglas gdm[25217]:    from /lib64/libdbus-1.so.3
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #22 0x00000037d06098d5 in ?? () from /usr/lib64/libdbus-glib-1.so.2
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #23 0x0000003f21037afe in g_main_context_dispatch ()
Jul 12 09:06:27 douglas gdm[25217]:    from /lib64/libglib-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #24 0x0000003f2103b1d8 in ?? () from /lib64/libglib-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #25 0x0000003f2103b635 in g_main_loop_run () from /lib64/libglib-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #26 0x0000003cf61279c7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #27 0x00000000004112d0 in cairo_move_to ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #28 0x0000003f1e81ea2d in __libc_start_main () from /lib64/libc.so.6
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #29 0x0000000000410eb9 in cairo_move_to ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #30 0x00007ffff11bec58 in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #31 0x000000000000001c in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #32 0x0000000000000001 in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #33 0x00007ffff11bfc3b in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: #34 0x0000000000000000 in ?? ()
Jul 12 09:06:27 douglas gdm[25217]: No symbol table info available.
Jul 12 09:06:27 douglas gdm[25217]: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Jul 12 09:06:27 douglas gdm[25217]: ******************* END **********************************

Comment 35 Andrew McNabb 2009-07-13 18:00:33 UTC
David, I have noticed that, too, but I'm not sure it belongs in the same bug report.

Comment 36 Fedora Update System 2009-07-19 10:34:47 UTC
gdm-2.26.1-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.